Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2249952 - Request to have patch applied to kernel to address rtc_cmos is not configured to use ACPI alarm
Summary: Request to have patch applied to kernel to address rtc_cmos is not configured...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 39
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://community.frame.work/t/respon...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-16 01:31 UTC by mattwork
Modified: 2023-11-29 01:34 UTC (History)
17 users (show)

Fixed In Version: kernel-6.5.12-300.fc39 kernel-6.5.12-100.fc37 kernel-6.5.12-200.fc38 kernel-6.6.2-101.fc38 kernel-6.6.2-201.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-22 01:23:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description mattwork 2023-11-16 01:31:35 UTC
1. Please describe the problem:
As it stands now, Framework Laptop 13 (AMD Ryzen™ 7040 Series) requires this parameter to not wake after 5 minutes. 

2. What is the Version-Release number of the kernel:
6.5.11-300

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Since day one of laptop release.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below: Running this script as sudo:
https://gitlab.freedesktop.org/drm/amd/-/blob/master/scripts/amd_s2idle.py
 Choose a time greater than 5 minutes, say 10 minutes. It will wake after 5 minutes unless the rtc_cmos.use_acpi_alarm=1 parameter is used in GRUB. To replicate, you can either use systemctl suspend or lid close or suspend from the power menu.


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Yes.


6. Are you running any modules that not shipped with directly Fedora's kernel?:
No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Requesting this patch be applied with the kernel:
https://patchwork-proxy.ozlabs.org/project/rtc-linux/patch/20231106162310.85711-1-mario.limonciello@amd.com/ per @mario.limonciello who requested I ask to get this applied.

Reproducible: Always

Comment 1 mattwork 2023-11-16 01:49:27 UTC
Blocks: https://bugzilla.redhat.com/show_bug.cgi?id=2240811

Comment 2 Adam Williamson 2023-11-16 02:09:24 UTC
i've pinged jforbes to ask him to take a look at this.

Comment 3 mattwork 2023-11-16 17:28:34 UTC
Thanks Adam, much appreciated.

Comment 4 Fedora Update System 2023-11-21 03:40:21 UTC
FEDORA-2023-75dbe9e998 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-75dbe9e998

Comment 5 Fedora Update System 2023-11-21 03:40:22 UTC
FEDORA-2023-e4dfbf59b1 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e4dfbf59b1

Comment 6 Fedora Update System 2023-11-21 03:42:48 UTC
FEDORA-2023-03b11e7dcf has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-03b11e7dcf

Comment 7 Fedora Update System 2023-11-22 01:23:18 UTC
FEDORA-2023-03b11e7dcf has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-11-22 02:56:04 UTC
FEDORA-2023-75dbe9e998 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-75dbe9e998`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-75dbe9e998

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-11-22 03:04:07 UTC
FEDORA-2023-e4dfbf59b1 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e4dfbf59b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e4dfbf59b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 mattwork 2023-11-22 03:36:56 UTC
Early tests indicate this is working. Other users are chiming in it's working for them as well. I think we this is resolved.

Comment 11 Fedora Update System 2023-11-23 01:11:29 UTC
FEDORA-2023-75dbe9e998 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-11-23 03:07:38 UTC
FEDORA-2023-e4dfbf59b1 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-11-23 14:11:22 UTC
FEDORA-2023-9d54a271e2 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

Comment 14 Fedora Update System 2023-11-23 14:11:35 UTC
FEDORA-2023-bd14c83780 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

Comment 15 Fedora Update System 2023-11-24 01:44:00 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9d54a271e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-11-24 02:19:00 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bd14c83780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-11-27 01:16:30 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9d54a271e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-11-27 01:34:38 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bd14c83780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-11-29 01:29:21 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2023-11-29 01:34:52 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.